# copyright <sebas @ koumbit.org>
# Licence: GPL
#

class ubuntu_sources_list {

   package { [ "apt" ]: ensure => installed }

    file { "/etc/apt/sources.list":
        owner => "root",
        group => "root",
        mode => 0644,
        content => template("ubuntu/sources.list.erb"),
    }
    exec{"/usr/bin/apt-get update":
        refreshonly => true,
        subscribe => File["/etc/apt/sources.list"],
        require => File["/etc/apt/sources.list"],
    }

}
